/*
** Copyright 2016 Integration New Media Inc.
*/

(function(document, $) {
    "use strict";
    var rel = ".aem-assets-admin-actions-copyrightcheck";
    var cpCheckActivator = ".aem-assets-admin-actions-copyrightcheck-activator";
    var quickselections = null;
    var quickactionsItem = null;

    function hideModal() {
        if (location.pathname.indexOf("/assetdetails.html") > -1) {
            $(rel+"-renditions").modal("hide");
        } else {
            $(rel).hide();
            $(rel).modal("hide");
            $(rel + "-error").modal("hide");
        }
    }

    $(document).on("beforeshow" + rel, ".coral-Modal" + rel, function () {
        var selectedItems = $(".foundation-selections-item");
        $("#copyrightcheck .filename").text("");
        $("#copyrightcheck .uuids").text("");
        var allNamesArr = $(selectedItems).map(function(){
            return $(this).data("asset-name");
        }).get(); // changing to basic array
        window.fadelSelectionAllNamesArr =  allNamesArr;
        var allUuidArr= $(selectedItems).map(function(){
            return $(this).data("asset-uuid");
        }).get(); // changing to basic array
        window.fadelSelectionAllUuid =  allUuidArr;
        var type = $(selectedItems).data("type");
        var name = $(selectedItems).data("asset-name");
        $.each(allNamesArr, function(key, value) {
            $('#copyrightcheck .filename')
                .append($("<option></option>")
                    .attr("value",value)
                    .attr("ng-selected",true)
                    .text(value));
        });
        $.each(allUuidArr, function(key, value) {
            $('#copyrightcheck .uuids')
                .append($("<option></option>")
                    .attr("value",key)
                    .text(value));
        });

    });

})(document, Granite.$);