<%--
  Copyright 2016 Integration New Media Inc.
--%><%
%><%@page session="false" contentType="text/html; charset=utf-8"%><%
%><%@page import="com.adobe.granite.ui.components.Config,
                  com.adobe.granite.xss.XSSAPI,
                  com.day.cq.i18n.I18n,
                  com.day.cq.wcm.api.Page,
                  com.day.cq.commons.JSONItem,
                  java.util.Collection,
				  org.apache.jackrabbit.util.Text,
                  com.day.cq.wcm.api.Template" %><%
%><%@taglib prefix="sling" uri="http://sling.apache.org/taglibs/sling/1.0"%><%
%><%@taglib prefix="cq" uri="http://www.day.com/taglibs/cq/1.0" %><%
%><%@taglib prefix="ui" uri="http://www.adobe.com/taglibs/granite/ui/1.0"%><%
%><cq:defineObjects /><%

    I18n i18n = new I18n(slingRequest);
    Config cfg = new Config(resource);

    String contentPath = slingRequest.getRequestPathInfo().getSuffix();
    if (contentPath == null) {
        contentPath = "";
    }
    String adminUrl = request.getContextPath() + "/assets.html";
   

%>
<ui:includeClientLib categories="dam.gui.components.admin.copyrightcheck" />
<cq:include script="partials/modal-includes.jsp" />
<div id="<%= cfg.get("id") %>" class="coral-Modal notice <%= cfg.get("rel") %>" data-url="<%= adminUrl + Text.escapePath(contentPath) %>">
    <div class="coral-Modal-header">
        <i class="coral-Modal-typeIcon coral-Icon coral-Icon--sizeS"></i>
        <h2 class="coral-Modal-title coral-Heading coral-Heading--2"><%= i18n.get("Rights Cloud™ by FADEL®") %></h2>
        <button type="button" class="coral-MinimalButton coral-Modal-closeButton" title="Close" data-dismiss="modal">
            <i class="coral-Icon coral-Icon--sizeXS coral-Icon--close coral-MinimalButton-icon "></i></button>
    </div>
    <div class="coral-Modal-body">
        <cq:include script="partials/modal-body.jsp" />
    </div>
    <ui:includeClientLib categories="dam.gui.components.admin.copyrightcheck.vendors" />
</div>

<div id="<%= cfg.get("id") %>-renditions" class="coral-Modal notice <%= cfg.get("rel") %>-renditions" data-url="<%= adminUrl + Text.escapePath(contentPath) %>">
    <div class="coral-Modal-header">
        <i class="coral-Modal-typeIcon coral-Icon coral-Icon--sizeS"></i>
        <h2 class="coral-Modal-title coral-Heading coral-Heading--2"><%= i18n.get("Delete Rendition") %></h2>
        <button type="button" class="coral-MinimalButton coral-Modal-closeButton" title="Close" data-dismiss="modal">
            <i class="coral-Icon coral-Icon--sizeXS coral-Icon--close coral-MinimalButton-icon "></i></button>
    </div>
    <div class="coral-Modal-body">
        <cq:include script="partials/modal-body.jsp" />
    </div>
    <ui:includeClientLib categories="dam.gui.components.admin.copyrightcheck.vendors" />
</div>


